'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _span = require('../span');

var _span2 = _interopRequireDefault(_span);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component;

var _ref = _jsx('label', {
  className: 'size-limit-title'
}, void 0, '当前图片尺寸: ');

var _ref2 = _jsx(_span2.default, {
  className: 'size-limit-normal'
}, void 0, ' kb');

var _ref3 = _jsx('label', {
  className: 'size-limit-title'
}, void 0, '最大尺寸限制: ');

var _ref4 = _jsx(_span2.default, {
  className: 'size-limit-normal'
}, void 0, ' kb');

var SizeLimit = (_temp = _class = function (_Component) {
  _inherits(SizeLimit, _Component);

  function SizeLimit(props) {
    _classCallCheck(this, SizeLimit);

    var _this = _possibleConstructorReturn(this, (SizeLimit.__proto__ || Object.getPrototypeOf(SizeLimit)).call(this, props));

    _this.state = {
      currentSize: _this.props.currentSize
    };
    return _this;
  }

  _createClass(SizeLimit, [{
    key: 'updateCurrentSize',
    value: function updateCurrentSize(currentSize) {
      this.setState({ currentSize: currentSize });
    }
  }, {
    key: 'validate',
    value: function validate() {
      var currentSize = this.state.currentSize;
      var sizeLimit = this.props.sizeLimit;

      return currentSize <= sizeLimit;
    }
  }, {
    key: 'render',
    value: function render() {
      var currentSize = this.state.currentSize;
      var sizeLimit = this.props.sizeLimit;

      var curClassName = currentSize > sizeLimit ? 'size-limit-error' : 'size-limit-normal';
      return _jsx('div', {
        className: 'size-limit'
      }, void 0, _jsx('div', {
        className: 'current-size-div'
      }, void 0, _ref, _jsx(_span2.default, {
        className: curClassName
      }, void 0, currentSize.toFixed(2)), _ref2), _jsx('div', {
        className: 'size-limit-div'
      }, void 0, _ref3, _jsx(_span2.default, {
        className: 'size-limit-normal'
      }, void 0, sizeLimit), _ref4));
    }
  }]);

  return SizeLimit;
}(Component), _class.defaultProps = {
  currentSize: 0,
  sizeLimit: 1024 * 10
}, _temp);
exports.default = SizeLimit;