'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _forEach = require('lodash/forEach');

var _forEach2 = _interopRequireDefault(_forEach);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ref = _jsx('a', {}, void 0, _jsx('span', {}, void 0, '\xA0'));

var _ref2 = _jsx('span', {}, void 0, '...');

var _ref3 = _jsx('a', {}, void 0, _jsx('span', {}, void 0, '\xA0'));

var Pagination = (_temp = _class = function (_Component) {
  _inherits(Pagination, _Component);

  function Pagination(props) {
    _classCallCheck(this, Pagination);

    var _this = _possibleConstructorReturn(this, (Pagination.__proto__ || Object.getPrototypeOf(Pagination)).call(this, props));

    _this.state = {
      index: props.index
    };
    return _this;
  }

  _createClass(Pagination, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.index !== this.props.index) {
        this.setState({ index: nextProps.index });
      }
    }
  }, {
    key: 'getIndex',
    value: function getIndex() {
      return this.state.index;
    }
  }, {
    key: 'setIndex',
    value: function setIndex(index) {
      index = parseInt(index);
      this.setState({ index: index });
    }
  }, {
    key: 'setInput',
    value: function setInput(event) {
      event.preventDefault();

      var value = this.refs.input.getWrappedInstance().value;
      value = parseInt(value);
      if (isNaN(value)) {
        return;
      }
      if (value < 1) {
        this.handleChange(1);
        return;
      }

      this.setIndex(value);
      if (this.props.onChange) {
        this.props.onChange(value);
      }
    }
  }, {
    key: 'handleChange',
    value: function handleChange(index) {
      this.setIndex(index);
      if (this.refs.input) {
        this.refs.input.getWrappedInstance().value = index;
      }
      if (this.props.onChange) {
        this.props.onChange(index);
      }
    }
  }, {
    key: 'getPages',
    value: function getPages() {
      var _props = this.props,
          total = _props.total,
          size = _props.size,
          index = _props.index,
          pages = _props.pages;

      var max = Math.ceil(total / size);
      var left = void 0;
      var right = void 0;
      var span = pages || 10;

      // bad thing...
      pages = [];

      if (index > max) {
        index = max;
      }

      left = index - Math.floor(span / 2) + 1;
      if (left < 1) {
        left = 1;
      }
      right = left + span - 2;
      if (right >= max) {
        right = max;
        left = right - span + 2;
        if (left < 1) {
          left = 1;
        }
      } else {
        right -= left > 1 ? 1 : 0;
      }

      // push first
      if (left > 1) {
        pages.push(1);
      }
      if (left > 2) {
        pages.push('<..');
      }
      for (var i = left; i < right + 1; i++) {
        pages.push(i);
      }
      if (right < max - 1) {
        pages.push('..>');
      }
      // push last
      if (right < max) {
        pages.push(max);
      }

      return { pages: pages, max: max };
    }
  }, {
    key: 'render',
    value: function render() {
      var index = this.state.index;
      var mini = this.props.mini;

      var _getPages = this.getPages(),
          pages = _getPages.pages,
          max = _getPages.max;

      var items = [];

      // Previous
      items.push(_jsx('li', {
        onClick: index <= 1 ? null : this.handleChange.bind(this, index - 1),
        className: (0, _classnames2.default)('previous', { disabled: index <= 1 })
      }, 'previous', _ref));

      if (mini) {
        items.push(_jsx('form', {
          onSubmit: this.setInput.bind(this)
        }, 'i', _react2.default.createElement('input', { ref: 'input', defaultValue: this.state.index, type: 'text', className: 'rct-form-control' })));
        items.push(_jsx('span', {
          className: 'pagination-max'
        }, 's', ' / ', max));
      } else {
        var $this = this;
        (0, _forEach2.default)(pages, function (i) {
          if (i === '<..' || i === '..>') {
            items.push(_jsx('li', {
              className: 'sep'
            }, i, _ref2));
          } else {
            items.push(_jsx('li', {
              onClick: $this.handleChange.bind($this, i),
              className: (0, _classnames2.default)({ active: i === index })
            }, i, _jsx('a', {}, void 0, i)));
          }
        }, this);
      }

      // Next
      items.push(_jsx('li', {
        onClick: index >= max ? null : this.handleChange.bind(this, index + 1),
        className: (0, _classnames2.default)('next', { disabled: index >= max })
      }, 'next', _ref3));

      var className = (0, _classnames2.default)(this.props.className, 'cm-pagination-wrap', { 'cm-pagination-mini': mini });
      return _jsx('div', {
        style: this.props.style,
        className: className
      }, void 0, _jsx('ul', {
        className: 'cm-pagination'
      }, void 0, items), this.props.jumper && !mini && _jsx('form', {
        onSubmit: this.setInput.bind(this)
      }, void 0, _jsx('div', {
        className: 'cm-input-group'
      }, void 0, _react2.default.createElement('input', { ref: 'input', defaultValue: this.state.index, type: 'text', className: 'cm-form-control' }), _jsx('span', {
        onClick: this.setInput.bind(this),
        className: 'addon'
      }, void 0, 'go'))));
    }
  }]);

  return Pagination;
}(_react.Component), _class.defaultProps = {
  index: 1,
  pages: 10,
  size: 20,
  total: 0
}, _temp);
exports.default = Pagination;