'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Searcher = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _input = require('../input');

var _input2 = _interopRequireDefault(_input);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Copyright @2016 www.sumscope.com
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var _ref = _jsx('i', {
  className: 'icon-font icon-search'
});

var Searcher = exports.Searcher = function (_React$Component) {
  _inherits(Searcher, _React$Component);

  function Searcher(props) {
    _classCallCheck(this, Searcher);

    var _this = _possibleConstructorReturn(this, (Searcher.__proto__ || Object.getPrototypeOf(Searcher)).call(this, props));

    _this.handleTimeout = function () {
      var onChange = _this.props.onChange;

      _this.state.isTimeout = false;
      var data = {
        type: 'any',
        data: {
          text: _this.state.text
        }
      };
      onChange(data);
    };

    _this.handleChange = function (value) {
      var v = value.replace(/["'*<>%\{\}\[\];)(&+]/g, '');
      var onChange = _this.props.onChange;

      _this.state.text = v;
      if ((0, _isFunction2.default)(onChange)) {
        if (!_this.state.isTimeout) {
          _this.state.isTimeout = true;
          setTimeout(_this.handleTimeout.bind(_this), 500);
        }
      }
    };

    _this.state = {
      text: '',
      isTimeout: false
    };
    return _this;
  }

  _createClass(Searcher, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var isRender = false;
      if (!(0, _isNil2.default)(nextState.text) && nextState.text !== this.state.text) {
        isRender = true;
      }
      return isRender;
    }
  }, {
    key: 'setText',
    value: function setText(text) {
      this.setState({ text: text });
    }
  }, {
    key: 'getValue',
    value: function getValue() {
      return this.state.text;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          placeholder = _props.placeholder,
          other = _objectWithoutProperties(_props, ['className', 'placeholder']);

      delete other.onChange;
      delete other.text;
      return _jsx('div', {
        className: (0, _classnames2.default)('searcher', className)
      }, void 0, _ref, _react2.default.createElement(_input2.default, _extends({
        placeholder: placeholder,
        value: this.state.text,
        onChange: this.handleChange.bind(this)
      }, other)));
    }
  }]);

  return Searcher;
}(_react2.default.Component);

exports.default = Searcher;