'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component;
var SliderDots = (_temp = _class = function (_Component) {
  _inherits(SliderDots, _Component);

  function SliderDots(props) {
    _classCallCheck(this, SliderDots);

    var _this = _possibleConstructorReturn(this, (SliderDots.__proto__ || Object.getPrototypeOf(SliderDots)).call(this, props));

    _this.update = function (index) {
      _this.setState({ index: index });
    };

    _this.state = {
      index: props.currentIndex
    };
    return _this;
  }

  _createClass(SliderDots, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (!(0, _isNil2.default)(nextProps.currentIndex)) {
        this.setState({ index: nextProps.currentIndex });
      }
    }
  }, {
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var should = false;
      if (!(0, _isEqual2.default)(this.state.index, nextState.index)) {
        should = true;
      }
      return should;
    }
  }, {
    key: 'handleDotClick',
    value: function handleDotClick(i) {
      this.props.turn(i - this.state.index);
    }
  }, {
    key: 'render',
    value: function render() {
      var dotNodes = [];
      var count = this.props.count;

      for (var i = 0; i < count; i++) {
        var name = i === this.state.index ? ' slider-dot-selected' : '';
        dotNodes[i] = _jsx('div', {
          className: 'dots',
          onClick: this.handleDotClick.bind(this, i)
        }, 'dot' + i, _jsx('span', {
          className: 'slider-dot' + name
        }, void 0));
      }
      return _jsx('div', {
        className: 'slider-dots-wrap'
      }, void 0, dotNodes);
    }
  }]);

  return SliderDots;
}(Component), _class.defaultProps = {
  currentIndex: 0,
  count: 0
}, _temp);
exports.default = SliderDots;