'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TableHeaderColumn = (_temp = _class = function (_Component) {
  _inherits(TableHeaderColumn, _Component);

  function TableHeaderColumn(props) {
    _classCallCheck(this, TableHeaderColumn);

    var _this = _possibleConstructorReturn(this, (TableHeaderColumn.__proto__ || Object.getPrototypeOf(TableHeaderColumn)).call(this, props));

    _this.state = {
      asc: 0,
      hover: false
    };
    return _this;
  }

  _createClass(TableHeaderColumn, [{
    key: 'onSort',
    value: function onSort() {
      if (!this.props.sortAble) {
        return;
      }
      var asc = this.state.asc === 0 ? 1 : 0;
      this.setState({ asc: asc });
      this.props.onSort(this.props.name, asc);
    }
  }, {
    key: 'renderContent',
    value: function renderContent() {
      var _props = this.props,
          header = _props.header,
          renderHeader = _props.renderHeader;

      if ((0, _isFunction2.default)(renderHeader)) {
        return renderHeader();
      }
      return header;
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props2 = this.props,
          style = _props2.style,
          name = _props2.name,
          textAlign = _props2.textAlign,
          sortAble = _props2.sortAble,
          sort = _props2.sort;
      var hover = this.state.hover;

      style.textAlign = textAlign;
      var sortButtons = [];
      if (sortAble) {
        this.state.asc = sort.asc;
        var bUpActive = name === sort.name && sort.asc === 1;
        var bDownActive = name === sort.name && sort.asc === 0;
        sortButtons.push(_jsx('i', {
          style: { display: hover && !bDownActive || bUpActive ? 'inline' : 'none' },
          className: (0, _classnames2.default)('arrow-up icon-font icon-arrowup', { active: bUpActive })
        }, 'up'));
        sortButtons.push(_jsx('i', {
          style: { display: hover && !bUpActive || bDownActive ? 'inline' : 'none' },
          className: (0, _classnames2.default)('arrow-down icon-font icon-arrowup', { active: bDownActive })
        }, 'down'));
        if (!style.cursor) {
          style.cursor = 'pointer';
        }
      }

      return _react2.default.createElement(
        'th',
        { ref: name, style: style, className: this.props.className, onClick: this.onSort.bind(this), onMouseOver: function onMouseOver() {
            _this2.setState({ hover: true });
          },
          onMouseLeave: function onMouseLeave() {
            _this2.setState({ hover: false });
          } },
        this.renderContent.call(this),
        sortButtons
      );
    }
  }]);

  return TableHeaderColumn;
}(_react.Component), _class.defaultProps = {
  hidden: false,
  sortAble: false,
  style: {}
}, _temp);
exports.default = TableHeaderColumn;