'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _split = require('lodash/split');

var _split2 = _interopRequireDefault(_split);

var _flatMap = require('lodash/flatMap');

var _flatMap2 = _interopRequireDefault(_flatMap);

var _zipObject = require('lodash/zipObject');

var _zipObject2 = _interopRequireDefault(_zipObject);

var _trim = require('lodash/trim');

var _trim2 = _interopRequireDefault(_trim);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (types) {
  if ((0, _isNil2.default)(types)) {
    throw new Error('Invalid types');
  }

  var typeArr = (0, _split2.default)((0, _trim2.default)(types), ',');
  typeArr = (0, _flatMap2.default)(typeArr, function (item) {
    return (0, _trim2.default)(item);
  });
  return (0, _zipObject2.default)(typeArr, typeArr);
};