'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SingleCover = (_temp = _class = function (_React$Component) {
  _inherits(SingleCover, _React$Component);

  function SingleCover() {
    _classCallCheck(this, SingleCover);

    return _possibleConstructorReturn(this, (SingleCover.__proto__ || Object.getPrototypeOf(SingleCover)).apply(this, arguments));
  }

  _createClass(SingleCover, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          content = _props.content,
          opacity = _props.opacity,
          show = _props.show,
          type = _props.type,
          style = _props.style,
          other = _objectWithoutProperties(_props, ['content', 'opacity', 'show', 'type', 'style']);

      var props = {
        className: (0, _classnames2.default)(['modal-cover', show ? 'active' : '', type === 'modal' ? '' : 'cover-tip']),
        style: _extends({ opacity: opacity }, style)
      };
      return _react2.default.createElement(
        'div',
        _extends({}, other, props),
        content
      );
    }
  }]);

  return SingleCover;
}(_react2.default.Component), _class.defaultProps = {
  opacity: 0,
  show: false,
  type: 'tip'
}, _temp);
exports.default = SingleCover;