'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _class, _temp;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _TimeSet = require('./TimeSet');

var _TimeSet2 = _interopRequireDefault(_TimeSet);

var _Clock = require('./Clock');

var _Clock2 = _interopRequireDefault(_Clock);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _dom = require('../../utils/dom');

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _cloneDeep = require('lodash/cloneDeep');

var _cloneDeep2 = _interopRequireDefault(_cloneDeep);

require('../../themes/base/datetime.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DATETIME = 'datetime';
var DATE = 'date';
var TIME = 'time';

var _ref = _jsx('i', {
  className: 'year-left'
});

var _ref2 = _jsx('i', {
  className: 'year-left'
});

var _ref3 = _jsx('i', {
  className: 'year-right'
});

var _ref4 = _jsx('i', {
  className: 'year-right'
});

var _ref5 = _jsx(_icon2.default, {
  className: 'icon-up'
});

var _ref6 = _jsx(_icon2.default, {
  className: 'icon-down'
});

var _ref7 = _jsx('span', {
  className: 'date-picker-stage'
}, void 0, '\u5E74');

var _ref8 = _jsx(_icon2.default, {
  className: 'icon-up'
});

var _ref9 = _jsx(_icon2.default, {
  className: 'icon-down'
});

var _ref10 = _jsx('span', {
  className: 'date-picker-stage'
}, void 0, '\u6708');

var _ref11 = _jsx('div', {
  className: 'inner empty'
});

var _ref12 = _jsx('div', {
  className: 'hidden'
});

var DatepickerContainer = function (_Component) {
  _inherits(DatepickerContainer, _Component);

  function DatepickerContainer(props) {
    _classCallCheck(this, DatepickerContainer);

    var _this = _possibleConstructorReturn(this, (DatepickerContainer.__proto__ || Object.getPrototypeOf(DatepickerContainer)).call(this, props));

    _this.state = {
      stage: props.type === TIME ? 'clock' : 'day',
      current: (0, _cloneDeep2.default)(props.current)
    };
    return _this;
  }

  _createClass(DatepickerContainer, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var isShown = nextProps.isShown,
          current = nextProps.current;

      if (isShown) {
        this.state.current = (0, _cloneDeep2.default)(current);
      }
    }
  }, {
    key: 'close',
    value: function close(e) {
      if (!e.target.className.includes('pop-datetime')) {
        return;
      }

      var close = this.props.close;

      if ((0, _isFunction2.default)(close)) {
        close();
      }
    }
  }, {
    key: 'changeDate',
    value: function changeDate(obj) {
      var current = this.state.current;

      var year = obj.year === undefined ? current.year() : obj.year;
      var month = obj.month === undefined ? current.month() : obj.month;
      var day = obj.day === undefined ? current.date() : obj.day;
      var hour = obj.hour === undefined ? current.hour() : obj.hour;
      var minute = obj.minute === undefined ? current.minute() : obj.minute;
      var second = obj.second === undefined ? current.second() : obj.second;
      return (0, _moment2.default)({ y: year, M: month, d: day, h: hour, m: minute, s: second });
    }
  }, {
    key: 'stateChange',
    value: function stateChange(state) {
      this.setState(state);
    }
  }, {
    key: 'stageChange',
    value: function stageChange(stage) {
      this.stateChange({ stage: stage });
    }
  }, {
    key: 'yearChange',
    value: function yearChange(year) {
      var d = this.changeDate({ year: year, day: 1 });
      this.stateChange({ stage: 'month', current: d });
    }
  }, {
    key: 'monthChange',
    value: function monthChange(month) {
      var d = this.changeDate({ month: month, day: 1 });
      this.stateChange({ stage: 'day', current: d });
    }
  }, {
    key: 'dayChange',
    value: function dayChange(day) {
      var changeValue = this.props.changeValue;

      if (changeValue) {
        changeValue(day);
      }
    }
  }, {
    key: 'timeChange',
    value: function timeChange(time) {
      var d = this.changeDate(time);
      var timestamp = d.valueOf();
      var _props = this.props,
          min = _props.min,
          max = _props.max;


      var valid = true;
      if (min > 0) {
        valid = timestamp >= min;
      }
      if (valid && max > 0) {
        valid = timestamp <= max;
      }

      if (valid) {
        this.stateChange({ current: d });
        return true;
      }

      return false;
    }
  }, {
    key: 'getTime',
    value: function getTime() {
      var type = this.props.type;
      var current = this.state.current;


      return _jsx('div', {
        className: 'time-container'
      }, void 0, _react2.default.createElement(_Clock2.default, { current: current, timeOnly: type === TIME, active: type === TIME, onTimeChange: this.timeChange.bind(this),
        ref: 'clock' }), _jsx(_TimeSet2.default, {
        onTimeChange: this.timeChange.bind(this),
        onStageChange: this.timeStageChange.bind(this),
        type: 'hour',
        value: current.hour()
      }), _jsx(_TimeSet2.default, {
        onTimeChange: this.timeChange.bind(this),
        onStageChange: this.timeStageChange.bind(this),
        type: 'minute',
        value: current.minute()
      }), _jsx(_TimeSet2.default, {
        onTimeChange: this.timeChange.bind(this),
        onStageChange: this.timeStageChange.bind(this),
        type: 'second',
        value: current.second()
      }));
    }
  }, {
    key: 'next',
    value: function next(stage) {
      var d = this.state.current;
      switch (stage) {
        case 'year':
          d = this.changeDate({ year: d.year() + 18, day: 1 });
          break;
        case 'month':
          d = d.add(1, 'years');
          break;
        case 'day':
          d = d.add(1, 'months');
          break;
      }
      this.stateChange({ current: d });
    }
  }, {
    key: 'pre',
    value: function pre(stage) {
      var d = this.state.current;
      switch (stage) {
        case 'year':
          d = this.changeDate({ year: d.year() - 18, day: 1 });
          break;
        case 'month':
          d = d.subtract(1, 'years');
          break;
        case 'day':
          d = d.subtract(1, 'months');
          break;
      }
      this.stateChange({ current: d });
    }
  }, {
    key: 'timeStageChange',
    value: function timeStageChange(type) {
      this.refs.clock.changeTimeStage(type);
    }
  }, {
    key: 'renderYears',
    value: function renderYears() {
      var _this2 = this;

      var year = this.props.current.year();
      var years = [];
      var i = year - 8;
      var j = year + 9;

      for (; i <= j; i++) {
        years.push(i);
      }

      var buttons = [];
      buttons.push(_jsx('button', {
        type: 'button',
        className: 'year',
        onClick: this.pre.bind(this, 'year')
      }, i - 1, _ref, _ref2));

      years.forEach(function (y, i) {
        buttons.push(_jsx('button', {
          type: 'button',
          className: 'year',
          onClick: function onClick() {
            _this2.yearChange(y);
          }
        }, i, y));
      }, this);

      buttons.push(_jsx('button', {
        type: 'button',
        className: 'year',
        onClick: this.next.bind(this, 'year')
      }, i + 1, _ref3, _ref4));

      return buttons;
    }
  }, {
    key: 'renderMonths',
    value: function renderMonths() {
      var fullMonth = ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'];
      return fullMonth.map(function (m, i) {
        var _this3 = this;

        return _jsx('button', {
          type: 'button',
          onClick: function onClick() {
            _this3.monthChange(i);
          },
          className: 'month'
        }, i, m);
      }, this);
    }
  }, {
    key: 'renderDays',
    value: function renderDays() {
      var _props2 = this.props,
          current = _props2.current,
          min = _props2.min,
          max = _props2.max;

      var _current = this.state.current;
      var year = _current.year();
      var month = _current.month();
      var hour = _current.hour();
      var minute = _current.minute();
      var second = _current.second();
      var monthFirst = (0, _moment2.default)({ y: year, M: month, d: 1 });
      var first = monthFirst.weekday() === 0 ? -7 : 0 - monthFirst.weekday();
      var end = 42 + first;
      var today = (0, _moment2.default)();
      var days = [];

      for (var i = first; i < end; i++) {
        var date = (0, _moment2.default)({ y: year, M: month, d: 1, h: hour, m: minute, s: second }).add(i, 'day');
        days.push(date);
      }

      var minValue = min ? (0, _moment2.default)(min).valueOf() : 0;
      var maxValue = max ? (0, _moment2.default)(max).valueOf() : 0;
      return days.map(function (d, i) {
        var _this4 = this;

        var disabled = false;
        var speedTime = d.valueOf();
        if (minValue > 0) {
          disabled = speedTime < minValue;
        }
        if (!disabled && maxValue > 0) {
          disabled = speedTime > maxValue;
        }

        var props = {
          key: i,
          type: 'button',
          disabled: disabled,
          className: (0, _classnames2.default)('day', {
            gray: d.month() !== month,
            active: d.isSame(current),
            today: d.isSame(today),
            weekend: d.weekday() === 0 || d.weekday() === 6
          })
        };

        if (!disabled) {
          props.onClick = function () {
            _this4.dayChange(d);
          };
        }

        return _react2.default.createElement(
          'button',
          props,
          d.date()
        );
      }, this);
    }
  }, {
    key: 'getFullMonth',
    value: function getFullMonth(d) {
      var month = d.month();
      return ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'][month];
    }
  }, {
    key: 'renderHeader',
    value: function renderHeader() {
      var _this5 = this;

      var type = this.props.type;
      var current = this.state.current;

      if (type === TIME) {
        return;
      }

      return _jsx('div', {
        className: 'date-picker-header'
      }, void 0, _jsx('span', {
        className: 'date-picker-year'
      }, void 0, _jsx('a', {
        className: 'year',
        onClick: function onClick() {
          _this5.stageChange('year');
        }
      }, void 0, current.format('YYYY')), _jsx('span', {
        className: 'arrow arrow-up',
        onClick: this.next.bind(this, 'month')
      }, void 0, _ref5), _jsx('span', {
        className: 'arrow arrow-down',
        onClick: this.pre.bind(this, 'month')
      }, void 0, _ref6)), _ref7, _jsx('span', {
        className: 'date-picker-month'
      }, void 0, _jsx('a', {
        className: 'month',
        onClick: function onClick() {
          _this5.stageChange('month');
        }
      }, void 0, this.getFullMonth(current)), _jsx('span', {
        className: 'arrow arrow-up',
        onClick: this.next.bind(this, 'day')
      }, void 0, _ref8), _jsx('span', {
        className: 'arrow arrow-down',
        onClick: this.pre.bind(this, 'day')
      }, void 0, _ref9)), _ref10);
    }
  }, {
    key: 'renderInner',
    value: function renderInner() {
      switch (this.state.stage) {
        case 'day':
          var weekday = ['日', '一', '二', '三', '四', '五', '六'];
          var weeks = weekday.map(function (w, i) {
            return _jsx('div', {
              className: 'week'
            }, i, w);
          });
          return _jsx('div', {
            className: 'inner'
          }, void 0, weeks, this.renderDays());
        case 'month':
          return _jsx('div', {
            className: 'inner month-inner'
          }, void 0, this.renderMonths());
        case 'year':
          return _jsx('div', {
            className: 'inner year-inner'
          }, void 0, this.renderYears());
        case 'clock':
          return _ref11;
      }
      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props3 = this.props,
          isShown = _props3.isShown,
          parentRect = _props3.parentRect,
          type = _props3.type;

      if (!isShown) {
        return _ref12;
      }

      var style = {
        position: 'absolute'
      };
      if (parentRect.top + parentRect.height + 250 > (0, _dom.getWindowSize)().height) {
        style.bottom = (0, _dom.getWindowSize)().height - parentRect.top;
      } else {
        style.top = parentRect.top + parentRect.height;
      }

      if (parentRect.left + parentRect.width + 226 > (0, _dom.getWindowSize)().width) {
        style.right = (0, _dom.getWindowSize)().width - parentRect.left - parentRect.width;
      } else {
        style.left = parentRect.left;
      }

      return _jsx('div', {
        className: 'pop-datetime',
        onClick: this.close.bind(this)
      }, void 0, _react2.default.createElement(
        'div',
        { ref: 'datepicker', className: 'date-picker', style: style },
        this.renderHeader(),
        this.renderInner(),
        type !== DATE && this.getTime()
      ));
    }
  }]);

  return DatepickerContainer;
}(_react.Component);

var _ref13 = _jsx(DatepickerContainer, {
  isShown: false
});

var _ref14 = _jsx(_icon2.default, {
  className: 'icon-calendar'
});

var Datepicker = (_temp = _class = function (_Component2) {
  _inherits(Datepicker, _Component2);

  function Datepicker(props) {
    _classCallCheck(this, Datepicker);

    var _this6 = _possibleConstructorReturn(this, (Datepicker.__proto__ || Object.getPrototypeOf(Datepicker)).call(this, props));

    var value = props.value;
    _this6.state = {
      active: false,
      popup: false,
      value: _this6.parseDateTime(value, null)
    };
    return _this6;
  }

  _createClass(Datepicker, [{
    key: 'parseDateTime',
    value: function parseDateTime(value, def) {
      if (value instanceof _moment2.default) {
        return value;
      }
      var date = void 0;
      if (value !== undefined) {
        if (this.props.type === TIME) {
          date = (0, _moment2.default)(value, 'hh:mm:ss');
        } else {
          date = (0, _moment2.default)(value);
        }
        if (date.isValid()) {
          return date;
        }
      }

      if (def === undefined) {
        def = _moment2.default.invalid();
      }
      return def;
    }
  }, {
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.setMinMax(this.props);
      if (this.props.timeOnly || this.props.dateOnly) {
        console.warn('timeOnly and dateOnly is deprecated, use type="date|time" instead.');
      }
    }
  }, {
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (nextProps.value !== this.props.value) {
        this.setState({ value: this.parseDateTime(nextProps.value) });
      }
      this.setMinMax(nextProps);
    }
  }, {
    key: 'setMinMax',
    value: function setMinMax(props) {
      var zero = (0, _moment2.default)(0);
      var min = this.parseDateTime(props.min, zero).valueOf();
      var max = this.parseDateTime(props.max, zero).valueOf();
      this.setState({ min: min, max: max });
    }
  }, {
    key: 'getValue',
    value: function getValue() {
      var value = this.state.value;
      if (!value || !value.isValid()) {
        return '';
      }

      if (this.props.unixtime) {
        // cut milliseconds
        return Math.ceil(value.valueOf());
      } else {
        return this.formatValue(value);
      }
    }
  }, {
    key: 'setValue',
    value: function setValue(value) {
      value = this.parseDateTime(value, null);
      this.setState({ value: value });
    }
  }, {
    key: 'changeValue',
    value: function changeValue(value) {
      var _this7 = this;

      if (this.props.type === DATE) {
        this.close();
      }
      this.setState({ value: value }, function () {
        if ((0, _isFunction2.default)(_this7.props.onChange)) {
          _this7.props.onChange(_this7.getValue());
        }
      });
    }
  }, {
    key: 'formatValue',
    value: function formatValue(value) {
      if (!value.isValid()) {
        return '';
      }
      var format = this.props.format;
      if (!format) {
        if (this.props.type === DATE) {
          format = 'YYYY-MM-DD';
        } else if (this.props.type === TIME) {
          format = 'HH:mm:ss';
        } else {
          format = 'YYYY-MM-DD HH:mm:ss';
        }
      }
      return value.format(format);
    }
  }, {
    key: 'open',
    value: function open() {
      var _props4 = this.props,
          readOnly = _props4.readOnly,
          type = _props4.type,
          min = _props4.min,
          max = _props4.max;

      if (readOnly) {
        return;
      }

      if (!(0, _dom.isExistedListContainer)()) {
        (0, _dom.createListContainer)();
      }

      var parentRect = (0, _dom.getPosElement)(this.refs.datetime);
      var current = this.state.value;
      if (!current || !current.isValid()) {
        current = (0, _moment2.default)({ hour: 0, minute: 0, seconds: 0, milliseconds: 0 });
      }
      var props = {
        current: current,
        type: type,
        close: this.close.bind(this),
        parentRect: parentRect,
        min: min,
        max: max,
        isShown: true,
        changeValue: this.changeValue.bind(this)
      };
      _reactDom2.default.render(_react2.default.createElement(DatepickerContainer, props), _dom.listContainer);
    }
  }, {
    key: 'close',
    value: function close() {
      _reactDom2.default.render(_ref13, _dom.listContainer);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props5 = this.props,
          className = _props5.className,
          readOnly = _props5.readOnly,
          type = _props5.type,
          style = _props5.style,
          placeholder = _props5.placeholder;
      var value = this.state.value;

      var text = value ? this.formatValue(value) : '';
      text = text ? _jsx('span', {
        className: 'date-text'
      }, void 0, text) : _jsx('span', {
        className: 'placeholder'
      }, void 0, placeholder, '\xA0');

      return _react2.default.createElement(
        'div',
        { ref: 'datetime', onClick: this.open.bind(this), className: (0, _classnames2.default)('cm-datetime', className, { 'readonly': readOnly, 'short': type !== DATETIME }), style: style },
        text,
        _ref14
      );
    }
  }]);

  return Datepicker;
}(_react.Component), _class.defaultProps = {
  type: DATETIME
}, _temp);
exports.default = Datepicker;