'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp, _initialiseProps;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _map = require('lodash/map');

var _map2 = _interopRequireDefault(_map);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component;

var _ref = _jsx('i', {
  className: 'icon-font icon-delete'
});

var _ref2 = _jsx('i', {
  className: 'icon-font icon-add'
});

var CustomEmo = (_temp = _class = function (_Component) {
  _inherits(CustomEmo, _Component);

  function CustomEmo(props) {
    _classCallCheck(this, CustomEmo);

    var _this = _possibleConstructorReturn(this, (CustomEmo.__proto__ || Object.getPrototypeOf(CustomEmo)).call(this, props));

    _initialiseProps.call(_this);

    _this.state = {
      isEdit: false
    };
    return _this;
  }

  _createClass(CustomEmo, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var should = false;
      if (!(0, _isEqual2.default)(this.props.emos, nextProps.emos)) {
        should = true;
      }
      if (!(0, _isEqual2.default)(this.state.isEdit, nextState.isEdit)) {
        should = true;
      }
      return should;
    }
  }, {
    key: 'render',
    value: function render() {
      return _jsx('div', {
        className: 'custom-emo'
      }, void 0, this.renderDefaultEmo(), this.renderEmo(), this.renderAdd(), _jsx(_button2.default, {
        className: 'collect-emoji-edit',
        onClick: this.handleEdit
      }, void 0, this.state.isEdit ? '返回' : '编辑'));
    }
  }]);

  return CustomEmo;
}(Component), _initialiseProps = function _initialiseProps() {
  var _this2 = this;

  this.handleChange = function (event) {
    var files = (0, _get2.default)(event, ['target', 'files']);
    var sendFile = _this2.props.sendFile;

    if ((0, _isFunction2.default)(sendFile)) {
      return sendFile(files);
    }
  };

  this.handleClick = function (url) {
    var onChange = _this2.props.onChange;

    if ((0, _isFunction2.default)(onChange)) {
      onChange(url, _this2.state.isEdit);
    }
  };

  this.handleMouseOut = function (url) {
    var onMouseOut = _this2.props.onMouseOut;

    if ((0, _isFunction2.default)(onMouseOut)) {
      onMouseOut(url);
    }
  };

  this.handleMouseOver = function (url, index) {
    var onMouseOver = _this2.props.onMouseOver;

    if ((0, _isFunction2.default)(onMouseOver)) {
      onMouseOver(url, index);
    }
  };

  this.handleEdit = function (value, event) {
    event.stopPropagation();
    _this2.setState({ isEdit: !_this2.state.isEdit });
  };

  this.renderDelete = function (url) {
    var isEdit = _this2.state.isEdit;

    var props = {
      className: 'emoji-delete',
      onClick: function onClick(event) {
        event.stopPropagation();
        _this2.handleClick(url);
      }
    };
    if (isEdit) {
      return _react2.default.createElement(
        'a',
        props,
        _ref
      );
    }
  };

  this.renderDefaultEmo = function () {
    var defaultEmo = _this2.props.defaultEmo;

    var index = 0;
    return (0, _map2.default)(defaultEmo, function (emo) {
      return _jsx('li', {}, 'emo-' + emo, _jsx('a', {
        onMouseOver: _this2.handleMouseOver.bind(_this2, emo, index++),
        onMouseOut: _this2.handleMouseOut.bind(_this2, emo),
        onClick: _this2.handleClick.bind(_this2, emo)
      }, void 0, _jsx('img', {
        className: 'emo-thumbnail',
        src: emo + '?width=36'
      })));
    });
  };

  this.renderEmo = function () {
    var _props = _this2.props,
        defaultEmo = _props.defaultEmo,
        emos = _props.emos;

    var index = defaultEmo ? defaultEmo.length : 0;
    return (0, _map2.default)(emos, function (emo) {
      return _jsx('li', {}, 'emo-' + emo, _jsx('a', {
        onMouseOver: _this2.handleMouseOver.bind(_this2, emo, index++),
        onMouseOut: _this2.handleMouseOut.bind(_this2, emo),
        onClick: _this2.handleClick.bind(_this2, emo)
      }, void 0, _jsx('img', {
        className: 'emo-thumbnail',
        src: emo + '?width=36'
      })), _this2.renderDelete(emo));
    });
  };

  this.renderAdd = function () {
    return _this2.state.isEdit ? '' : _jsx('li', {}, 'emo-add', _jsx('a', {
      className: 'file',
      onClick: function onClick(event) {
        event.stopPropagation();_this2.refs.file.value = '';
      }
    }, void 0, _ref2, _react2.default.createElement('input', {
      ref: 'file',
      type: 'file',
      multiple: 'multiple',
      accept: 'image/gif, image/jpg,image/jpeg,image/png',
      onChange: _this2.handleChange
    })));
  };
}, _temp);
exports.default = CustomEmo;