'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _isEmpty = require('lodash/isEmpty');

var _isEmpty2 = _interopRequireDefault(_isEmpty);

var _isString = require('lodash/isString');

var _isString2 = _interopRequireDefault(_isString);

var _isArray = require('lodash/isArray');

var _isArray2 = _interopRequireDefault(_isArray);

var _isObject = require('lodash/isObject');

var _isObject2 = _interopRequireDefault(_isObject);

var _toString = require('lodash/toString');

var _toString2 = _interopRequireDefault(_toString);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _radio = require('../radio');

var _checkbox = require('../checkbox');

var _select = require('../select');

var _select2 = _interopRequireDefault(_select);

var _switch = require('../switch');

var _switch2 = _interopRequireDefault(_switch);

var _span = require('../span');

var _span2 = _interopRequireDefault(_span);

var _TextareaLimit = require('./TextareaLimit');

var _TextareaLimit2 = _interopRequireDefault(_TextareaLimit);

var _textarea = require('../textarea');

var _textarea2 = _interopRequireDefault(_textarea);

var _ValidateTextarea = require('./ValidateTextarea');

var _ValidateTextarea2 = _interopRequireDefault(_ValidateTextarea);

var _image = require('../image');

var _image2 = _interopRequireDefault(_image);

var _RegInput = require('./RegInput');

var _RegInput2 = _interopRequireDefault(_RegInput);

var _TextInput = require('./TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

var _Gender = require('./Gender');

var _Gender2 = _interopRequireDefault(_Gender);

var _Constellation = require('./Constellation');

var _Constellation2 = _interopRequireDefault(_Constellation);

var _BloodType = require('./BloodType');

var _BloodType2 = _interopRequireDefault(_BloodType);

var _MakePublic = require('./MakePublic');

var _MakePublic2 = _interopRequireDefault(_MakePublic);

var _ImageEditor = require('./ImageEditor');

var _ImageEditor2 = _interopRequireDefault(_ImageEditor);

var _SelectInput = require('./SelectInput');

var _SelectInput2 = _interopRequireDefault(_SelectInput);

var _ValidateDatetime = require('./ValidateDatetime');

var _ValidateDatetime2 = _interopRequireDefault(_ValidateDatetime);

var _option = require('../option');

var _option2 = _interopRequireDefault(_option);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component,
    cloneElement = _react2.default.cloneElement;

var _ref = _jsx('div', {
  className: 'ss-form-space'
});

var _ref2 = _jsx(_span2.default, {
  className: 'verifing-warning'
}, void 0, '\u5BA1\u6838\u4E2D');

var FormControl = (_temp = _class = function (_Component) {
  _inherits(FormControl, _Component);

  function FormControl(props) {
    _classCallCheck(this, FormControl);

    var _this = _possibleConstructorReturn(this, (FormControl.__proto__ || Object.getPrototypeOf(FormControl)).call(this, props));

    _this.getValue = function () {
      var formControl = _this.refs.formControl;
      var data = {};
      if ((0, _isNil2.default)(formControl)) {
        return data;
      }
      data[_this.props.name] = formControl.getValue();
      return data;
    };

    _this.getInstance = function () {
      return _this.refs.formControl;
    };

    _this.isVerified = function () {
      var verified = _this.props.verified;

      if ((0, _isFunction2.default)(verified)) {
        return verified();
      } else {
        return _this.defaultVerified.call(_this);
      }
    };

    _this.state = {
      isVerified: true
    };
    return _this;
  }

  _createClass(FormControl, [{
    key: 'defaultVerified',
    value: function defaultVerified() {
      var isRequire = this.props.isRequire;

      var formControl = this.refs.formControl;
      if ((0, _isNil2.default)(formControl)) {
        return true;
      }
      var validResult = true;
      var isVerified = formControl.isVerified;
      if (isVerified) {
        validResult = isVerified();
      }
      if (isRequire) {
        var value = formControl.getValue();
        // validResult = validResult && !(isEmpty(value) || isNil(value)); // value 为number/bool 等时  isEmpty 为true
        validResult = validResult && !(0, _isNil2.default)(value);
        if ((0, _isString2.default)(value) || (0, _isArray2.default)(value) || (0, _isObject2.default)(value)) {
          validResult = validResult && !(0, _isEmpty2.default)(value);
        }
      }
      return validResult;
    }
  }, {
    key: 'renderByType',
    value: function renderByType() {
      var _props = this.props,
          type = _props.type,
          controls = _props.controls,
          name = _props.name,
          readOnly = _props.readOnly,
          withInput = _props.withInput,
          showSpan = _props.showSpan,
          clear = _props.clear,
          customFunc = _props.customFunc,
          initData = _props.initData,
          validMode = _props.validMode,
          textLength = _props.textLength,
          isRequire = _props.isRequire,
          isPublic = _props.isPublic,
          datetimeFormat = _props.datetimeFormat,
          onChange = _props.onChange,
          placeholder = _props.placeholder;
      var isVerified = this.state.isVerified;

      var className = (0, _classnames2.default)([isVerified ? '' : 'form-control-verified-no', readOnly ? 'form-control-readonly-text' : '']);
      var props = {
        className: className,
        ref: 'formControl'
      };
      if ((0, _isEqual2.default)(type, 'text')) {
        props.value = initData;
        props.maxLength = textLength;
        props.readOnly = readOnly;
        props.showSpan = showSpan;
        props.isRequire = isRequire;
        props.onChange = onChange;
        props.placeholder = placeholder;
        props.validMode = validMode;
        return _react2.default.createElement(_TextInput2.default, props);
      } else if ((0, _isEqual2.default)(type, 'textarealimit')) {
        var textLengthAtLeast = this.props.textLengthAtLeast;

        props.value = initData;
        props.onChange = onChange;
        props.maxLength = textLength;
        props.textLength = textLength;
        props.textLengthAtLeast = textLengthAtLeast;
        props.readOnly = readOnly;
        props.isRequire = isRequire;
        return _react2.default.createElement(_TextareaLimit2.default, props);
      } else if ((0, _isEqual2.default)(type, 'image')) {
        var _props2 = this.props,
            src = _props2.src,
            alt = _props2.alt,
            width = _props2.width,
            height = _props2.height;

        props.src = src;
        props.alt = alt;
        props.width = width;
        props.height = height;
        return _react2.default.createElement(_image2.default, props);
      } else if ((0, _isEqual2.default)(type, 'number')) {
        props.value = (0, _toString2.default)(initData);
        props.onChange = onChange;
        props.readOnly = readOnly;
        props.showSpan = showSpan;
        props.isRequire = isRequire;
        props.validMode = validMode;
        props.placeholder = placeholder;
        return _react2.default.createElement(_TextInput2.default, props);
      } else if ((0, _isEqual2.default)(type, 'radioGroup')) {
        props.name = name;
        props.radios = controls;
        props.selected = initData;
        return _react2.default.createElement(_radio.RadioGroup, props);
      } else if ((0, _isEqual2.default)(type, 'checkbox')) {
        props.name = name;
        props.checkboxs = controls;
        props.selected = initData;
        props.onChange = onChange;
        return _react2.default.createElement(_checkbox.CheckboxGroup, props);
      } else if ((0, _isEqual2.default)(type, 'space')) {
        return _ref;
      } else if ((0, _isEqual2.default)(type, 'select')) {
        props.value = initData;
        props.data = controls;
        props.onChange = onChange;
        props.withInput = withInput;
        props.clear = clear;
        return _react2.default.createElement(_select2.default, props);
      } else if ((0, _isEqual2.default)(type, 'switch')) {
        props.data = controls;
        return _react2.default.createElement(_switch2.default, _extends({}, props, { data: controls, isOpen: initData }));
      } else if ((0, _isEqual2.default)(type, 'custom')) {
        if ((0, _isFunction2.default)(customFunc)) {
          var ele = customFunc();
          return cloneElement(ele, props);
        } else {
          return '';
        }
      } else if ((0, _isEqual2.default)(type, 'mobile') || (0, _isEqual2.default)(type, 'email') || (0, _isEqual2.default)(type, 'telephone') || (0, _isEqual2.default)(type, 'name') || (0, _isEqual2.default)(type, 'companyName')) {
        props.value = initData;
        props.type = type;
        props.isRequire = isRequire;
        props.readOnly = readOnly;
        props.isPublic = isPublic;
        return _react2.default.createElement(_RegInput2.default, props);
      } else if ((0, _isEqual2.default)(type, 'constellation')) {
        props.value = initData;
        props.readOnly = readOnly;
        props.isPublic = isPublic;
        return _react2.default.createElement(_Constellation2.default, props);
      } else if ((0, _isEqual2.default)(type, 'blood')) {
        props.value = initData;
        props.readOnly = readOnly;
        props.isPublic = isPublic;
        return _react2.default.createElement(_BloodType2.default, props);
      } else if ((0, _isEqual2.default)(type, 'gender')) {
        props.name = name;
        props.selected = initData;
        props.readOnly = readOnly;
        return _react2.default.createElement(_Gender2.default, props);
      } else if ((0, _isEqual2.default)(type, 'makepublic')) {
        props.name = name;
        props.isPublic = initData;
        props.readOnly = readOnly;
        return _react2.default.createElement(_MakePublic2.default, props);
      } else if ((0, _isEqual2.default)(type, 'imageeditor')) {
        var _props3 = this.props,
            _width = _props3.width,
            _height = _props3.height,
            borderRadius = _props3.borderRadius,
            uploadFile = _props3.uploadFile,
            sizeLimit = _props3.sizeLimit;
        // props.alt = alt;

        props.width = _width;
        props.height = _height;
        props.borderRadius = borderRadius;
        props.src = initData;
        props.readOnly = readOnly;
        props.uploadFile = uploadFile;
        props.sizeLimit = sizeLimit;
        return _react2.default.createElement(_ImageEditor2.default, props);
      } else if ((0, _isEqual2.default)(type, 'selectInput')) {
        props.data = controls;
        props.value = initData;
        props.readOnly = readOnly;
        props.onChange = onChange;
        props.isRequire = isRequire;
        return _react2.default.createElement(_SelectInput2.default, props);
      } else if ((0, _isEqual2.default)(type, 'password')) {
        props.value = initData;
        props.maxLength = textLength;
        props.onChange = onChange;
        props.readOnly = readOnly;
        props.showSpan = showSpan;
        props.isRequire = isRequire;
        props.type = type;
        props.validMode = validMode;
        props.placeholder = placeholder;
        return _react2.default.createElement(_TextInput2.default, props);
      } else if ((0, _isEqual2.default)(type, 'radio')) {
        props.isChecked = initData;
        props.onChange = onChange;
        return _react2.default.createElement(
          _radio.Radio,
          props,
          (0, _get2.default)(controls, '[0]')
        );
      } else if ((0, _isEqual2.default)(type, 'textarea')) {
        props.value = initData;
        props.onChange = onChange;
        props.readOnly = readOnly;
        props.maxLength = textLength;
        return _react2.default.createElement(_textarea2.default, props);
      } else if ((0, _isEqual2.default)(type, 'date')) {
        props.type = type;
        props.format = datetimeFormat;
        props.value = initData;
        props.onChange = onChange;
        props.readOnly = readOnly;
        props.isRequire = isRequire;
        return _react2.default.createElement(_ValidateDatetime2.default, props);
      } else if ((0, _isEqual2.default)(type, 'validateTextarea')) {
        props.value = initData;
        props.onChange = onChange;
        props.readOnly = readOnly;
        props.isRequire = isRequire;
        props.showSpan = showSpan;
        props.maxLength = textLength;
        props.placeholder = placeholder;
        props.validMode = validMode;
        return _react2.default.createElement(_ValidateTextarea2.default, props);
      } else if ((0, _isEqual2.default)(type, 'buttonGroup')) {
        props.onChange = onChange;
        props.items = controls;
        props.showLabel = false;
        props.multiple = true;
        props.className = 'button-group';
        return _react2.default.createElement(_option2.default, props);
      }
    }
  }, {
    key: 'renderSuffixCtr',
    value: function renderSuffixCtr() {
      var suffixFunc = this.props.suffixFunc;

      if ((0, _isFunction2.default)(suffixFunc)) {
        return suffixFunc();
      } else {
        return '';
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props4 = this.props,
          label = _props4.label,
          showLabel = _props4.showLabel,
          className = _props4.className,
          grid = _props4.grid,
          isRequire = _props4.isRequire,
          isVerifing = _props4.isVerifing;

      var props = {
        className: (0, _classnames2.default)(['ss-form-control', className]),
        style: { flex: '0 0 ' + grid * 100 + '%' }
      };
      var text = (0, _isNil2.default)(label) || (0, _isEmpty2.default)(label) ? '' : label + ' : ';
      var labelCtr = showLabel ? _jsx('label', {}, void 0, isRequire ? _jsx(_span2.default, {
        style: { color: 'red' }
      }, void 0, '*') : '', text) : '';
      var labelVerifing = isVerifing === true ? _ref2 : '';
      return _react2.default.createElement(
        'div',
        props,
        labelCtr,
        this.renderByType.call(this),
        labelVerifing,
        this.renderSuffixCtr.call(this)
      );
    }
  }]);

  return FormControl;
}(Component), _class.defaultProps = {
  grid: 1,
  showLabel: true,
  type: 'text',
  controls: [],
  isRequire: false,
  isPublic: true,
  readOnly: false,
  showSpan: true,
  isVerifing: false,
  suffixFunc: null
}, _temp);
exports.default = FormControl;