'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _isNil = require('lodash/isNil');

var _isNil2 = _interopRequireDefault(_isNil);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _datepicker = require('../datepicker');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component;
var ValidateDatetime = (_temp = _class = function (_Component) {
  _inherits(ValidateDatetime, _Component);

  function ValidateDatetime(props) {
    _classCallCheck(this, ValidateDatetime);

    var _this = _possibleConstructorReturn(this, (ValidateDatetime.__proto__ || Object.getPrototypeOf(ValidateDatetime)).call(this, props));

    _this.getValue = function () {
      var value = _this.state.value;

      _this.checkValue.call(_this, value);
      return value;
    };

    _this.state = {
      value: props.value,
      errorClass: ''
    };
    return _this;
  }

  _createClass(ValidateDatetime, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if (!(0, _isEqual2.default)(nextProps.value, this.state.value)) {
        this.setState({ value: nextProps.value, errorClass: '' });
      }
    }
  }, {
    key: 'handleChange',
    value: function handleChange(value) {
      this.checkValue.call(this, value);
      this.setState({ value: value, errorClass: '' });
      var onChange = this.props.onChange;

      if ((0, _isFunction2.default)(onChange)) {
        onChange(value);
      }
    }
  }, {
    key: 'checkValue',
    value: function checkValue(value) {
      if (this.props.isRequire) {
        var flag = (0, _isNil2.default)(value) || (0, _isEqual2.default)(value, '');
        this.setState({ errorClass: flag ? 'error' : '' });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          className = _props.className,
          type = _props.type,
          isRequire = _props.isRequire,
          readOnly = _props.readOnly,
          format = _props.format;
      var _state = this.state,
          value = _state.value,
          errorClass = _state.errorClass;

      var name = (0, _classnames2.default)(className, _defineProperty({}, errorClass, isRequire));
      return _jsx(_datepicker.Datepicker, {
        className: name,
        type: type,
        value: value,
        readOnly: readOnly,
        format: format,
        onChange: this.handleChange.bind(this)
      });
    }
  }]);

  return ValidateDatetime;
}(Component), _class.defaultProps = {
  type: 'date',
  isRequire: false,
  readOnly: false
}, _temp);
exports.default = ValidateDatetime;