'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Navigator = (_temp = _class = function (_React$Component) {
  _inherits(Navigator, _React$Component);

  function Navigator(props) {
    _classCallCheck(this, Navigator);

    var _this = _possibleConstructorReturn(this, (Navigator.__proto__ || Object.getPrototypeOf(Navigator)).call(this, props));

    _this.state = {
      selected: ''
    };
    return _this;
  }

  _createClass(Navigator, [{
    key: 'clickBar',
    value: function clickBar(path) {
      this.setState({ selected: path });
    }
  }, {
    key: 'renderSingleBar',
    value: function renderSingleBar(data, level, path) {
      var _this2 = this;

      if (!data || data.length === 0) {
        return;
      }
      return data.map(function (d, i) {
        var nextPath = path ? path + '_' + i : '' + i;
        var bActive = _this2.state.selected === nextPath || _this2.state.selected === path || _this2.state.selected.indexOf(path) === 0 || _this2.state.selected.indexOf(nextPath) === 0;
        return _jsx('li', {
          className: 'nav-bar'
        }, void 0, _jsx('a', {
          className: (0, _classnames2.default)('level' + level, { 'active': bActive }),
          url: data.url,
          onClick: _this2.clickBar.bind(_this2, nextPath)
        }, void 0, d.text), _jsx('ul', {
          className: 'nav-bar',
          hidden: !bActive
        }, void 0, _this2.renderSingleBar(d.children, level + 1, nextPath)));
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var data = this.props.data;

      return _jsx('div', {
        className: 'nav'
      }, void 0, _jsx('ul', {
        className: 'nav-body'
      }, void 0, this.renderSingleBar(data, 0)));
    }
  }]);

  return Navigator;
}(_react2.default.Component), _class.defaultProps = {}, _temp);
exports.default = Navigator;