'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearcherEx = undefined;

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _input = require('../input');

var _input2 = _interopRequireDefault(_input);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Copyright @2016 www.sumscope.com
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var SearcherEx = exports.SearcherEx = function (_React$Component) {
  _inherits(SearcherEx, _React$Component);

  function SearcherEx(props) {
    _classCallCheck(this, SearcherEx);

    var _this = _possibleConstructorReturn(this, (SearcherEx.__proto__ || Object.getPrototypeOf(SearcherEx)).call(this, props));

    _this.state = {
      text: ''
    };
    return _this;
  }

  _createClass(SearcherEx, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var isRender = false;
      var text = nextState.text;


      if (!(0, _isEqual2.default)(text, this.state.text)) {
        isRender = true;
      }

      return isRender;
    }
  }, {
    key: 'renderDropList',
    value: function renderDropList() {
      var renderList = this.props.renderList;

      return _jsx('ul', {
        className: 'searcher-ex-wrap'
      }, void 0, renderList());
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          placeholder = _props.placeholder,
          onChange = _props.onChange;
      var text = this.state.text;

      return _jsx('div', {
        className: 'searcher-ex'
      }, void 0, _jsx(_input2.default, {
        placeholder: placeholder,
        value: text,
        onChange: onChange
      }), this.renderDropList);
    }
  }]);

  return SearcherEx;
}(_react2.default.Component);

exports.default = SearcherEx;