'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _isEmpty = require('lodash/isEmpty');

var _isEmpty2 = _interopRequireDefault(_isEmpty);

var _span = require('../span');

var _span2 = _interopRequireDefault(_span);

var _sscAnalytics = require('ssc-analytics');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Component = _react2.default.Component;
var Support = (_temp2 = _class = function (_Component) {
  _inherits(Support, _Component);

  function Support() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Support);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Support.__proto__ || Object.getPrototypeOf(Support)).call.apply(_ref, [this].concat(args))), _this), _this.handleClick = function (e) {
      e.preventDefault();
      var onClick = _this.props.onClick;

      if ((0, _isFunction2.default)(onClick)) {
        onClick(e);
      }
      (0, _sscAnalytics.tracker)('click', _this.context.businessKey + '.' + '点赞-' + (_this.props.isSupported ? '否' : '是'), _this.context.componentName);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Support, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var should = false;
      if (!(0, _isEqual2.default)(nextProps.count, this.props.count)) {
        should = true;
      }
      if (!(0, _isEqual2.default)(nextProps.isSupported, this.props.isSupported)) {
        should = true;
      }
      return should;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          count = _props.count,
          className = _props.className,
          style = _props.style,
          isSupported = _props.isSupported,
          text = _props.text;

      var icon = isSupported ? 'icon-zan' : 'icon-zan-none';
      icon = 'icon-font ' + icon;
      var props = {
        className: (0, _classnames2.default)(['ss-support', isSupported ? 'active' : '', className]),
        style: style,
        onClick: this.handleClick
      };
      var supportCountTextClassName = isSupported ? 'text-zan' : 'ss-support-count';
      var content = (0, _isEmpty2.default)(text) ? count : text + '(' + count + ')';
      // let countTextClass = isEmpty(text) ? 'ss-support-count' : supportCountTextClassName;
      return _react2.default.createElement(
        'div',
        props,
        _jsx('i', {
          className: 'icon-font ' + icon
        }),
        _jsx(_span2.default, {
          className: supportCountTextClassName
        }, void 0, content)
      );
    }
  }]);

  return Support;
}(Component), _class.defaultProps = {
  count: 0,
  isSupported: false,
  text: ''
}, _class.contextTypes = {
  businessKey: _propTypes2.default.string,
  componentName: _propTypes2.default.string
}, _temp2);
exports.default = Support;