'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp; /**
                    * Copyright @2016 www.sumscope.com
                    */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _isFunction = require('lodash/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _keyBy = require('lodash/keyBy');

var _keyBy2 = _interopRequireDefault(_keyBy);

var _sscAnalytics = require('ssc-analytics');

var _tab = require('../tab');

var _tab2 = _interopRequireDefault(_tab);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Tabs = (_temp = _class = function (_React$Component) {
  _inherits(Tabs, _React$Component);

  function Tabs(props) {
    _classCallCheck(this, Tabs);

    var _this = _possibleConstructorReturn(this, (Tabs.__proto__ || Object.getPrototypeOf(Tabs)).call(this, props));

    _this.state = {
      dataSet: _this.getDataSet()
    };
    _this.handleClick = _this.handleClick.bind(_this);
    return _this;
  }

  _createClass(Tabs, [{
    key: 'getDataSet',
    value: function getDataSet() {
      var children = this.props.children;
      return children.map(function (element) {
        return {
          name: element.props.name,
          active: element.props.active,
          text: element.props.children,
          className: element.props.className
        };
      });
    }
  }, {
    key: 'handleClick',
    value: function handleClick(name) {
      var ds = this.state.dataSet;
      var dataSet = ds.map(function (obj) {
        obj.name === name ? obj.active = true : obj.active = false;
        return obj;
      });
      this.setState({ dataSet: dataSet });
      if (this.props.isChange && (0, _isFunction2.default)(this.props.isChange)) {
        this.props.isChange(name);
      }
      var itemMap = (0, _keyBy2.default)(this.getDataSet.call(this), 'name');
      (0, _sscAnalytics.tracker)('click', this.context.businessKey + '.' + itemMap[name].text, this.context.componentName + '.Tab');
    }
  }, {
    key: 'renderTab',
    value: function renderTab() {
      var _this2 = this;

      this.state.dataSet = this.getDataSet();
      var dataSet = this.state.dataSet;
      return dataSet.map(function (obj, i) {
        return _jsx(_tab2.default, {
          className: obj.className,
          name: obj.name,
          active: obj.active,
          onClick: _this2.handleClick
        }, i, obj.text);
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return _jsx('div', {
        className: (0, _classnames2.default)('tabs', this.props.className),
        style: this.props.style
      }, void 0, this.renderTab());
    }
  }]);

  return Tabs;
}(_react2.default.Component), _class.contextTypes = {
  businessKey: _propTypes2.default.string,
  componentName: _propTypes2.default.string
}, _temp);
exports.default = Tabs;