'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp; /**
                    * Copyright @2016 www.sumscope.com
                    */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _isEqual = require('lodash/isEqual');

var _isEqual2 = _interopRequireDefault(_isEqual);

var _indexOf = require('lodash/indexOf');

var _indexOf2 = _interopRequireDefault(_indexOf);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ref = _jsx('i', {
  className: 'icon-down icon-font'
});

var _ref2 = _jsx('div', {
  className: 'hidden'
});

var Tags = (_temp = _class = function (_React$Component) {
  _inherits(Tags, _React$Component);

  function Tags(props) {
    _classCallCheck(this, Tags);

    var _this = _possibleConstructorReturn(this, (Tags.__proto__ || Object.getPrototypeOf(Tags)).call(this, props));

    _this.all = 'all';
    _this.state = {
      value: _this.formatValue(props.data),
      isOpen: false
    };
    return _this;
  }

  _createClass(Tags, [{
    key: 'formatValue',
    value: function formatValue(data) {
      var _this2 = this;

      if (data.length > 0) {
        data.map(function (d) {
          if (d.id.toLowerCase() === 'all') {
            _this2.all = d.id;
            return false;
          }
        });
      }
      return [this.all];
    }
  }, {
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps, nextState) {
      var isRender = false;
      var data = this.props.data;
      var _state = this.state,
          value = _state.value,
          isOpen = _state.isOpen;

      if (!(0, _isEqual2.default)(data, nextProps.data)) {
        this.state.value = this.formatValue(nextProps.data);
        isRender = true;
      }
      if (!(0, _isEqual2.default)(value, nextState.value)) {
        isRender = true;
      }
      if (!(0, _isEqual2.default)(isOpen, nextState.isOpen)) {
        isRender = true;
      }
      return isRender;
    }
  }, {
    key: 'handleClick',
    value: function handleClick(v) {
      var onSelectTags = this.props.onSelectTags;
      var value = this.state.value;

      var isAll = v === this.all;
      if (isAll) {
        value.length = 0;
        value.push(v);
      } else {
        var i = (0, _indexOf2.default)(value, v);
        var iAll = (0, _indexOf2.default)(value, this.all);
        if (i === -1) {
          value.push(v);
        } else {
          value.splice(i, 1);
        }

        if (value.length === 0) {
          value.push(this.all);
        } else if (value.length > 1 && iAll > -1) {
          value.splice(iAll, 1);
        }
      }
      this.forceUpdate();

      if (onSelectTags) {
        onSelectTags(value);
      }
    }
  }, {
    key: 'handleCollapse',
    value: function handleCollapse() {
      var isOpen = this.state.isOpen;

      this.setState({ isOpen: !isOpen });
    }
  }, {
    key: 'renderTags',
    value: function renderTags() {
      var _this3 = this;

      var _state2 = this.state,
          value = _state2.value,
          isOpen = _state2.isOpen;
      var _props = this.props,
          title = _props.title,
          data = _props.data,
          scalability = _props.scalability,
          className = _props.className;

      var itemAll = [];
      var items = [];
      data.map(function (item) {
        var id = item.id;
        var isActive = !((0, _indexOf2.default)(value, id) === -1);
        var isExistedAll = id === _this3.all;
        var props = {
          key: id,
          className: (0, _classnames2.default)('tag-item', {
            active: isActive
          }),
          onClick: _this3.handleClick.bind(_this3, id)
        };

        var node = _react2.default.createElement(
          'div',
          props,
          _jsx('span', {
            className: 'tag-item-content'
          }, void 0, item.cn)
        );

        if (isExistedAll) {
          itemAll.push(node);
        } else {
          items.push(node);
        }
      });

      return _jsx('div', {
        className: (0, _classnames2.default)('tags', className)
      }, void 0, title === '' ? '' : _jsx('label', {
        className: 'tags-label'
      }, void 0, title + ':'), itemAll.length === 0 ? '' : _jsx('div', {
        className: 'tag-all'
      }, void 0, itemAll), _jsx('div', {
        className: 'tag-content'
      }, void 0, _jsx('div', {
        className: (0, _classnames2.default)('tag-items', { close: !isOpen })
      }, void 0, items)), scalability && items.length > 4 ? _jsx('div', {
        className: (0, _classnames2.default)('tag-collapse', { open: isOpen })
      }, void 0, _jsx('span', {
        className: 'icon',
        onClick: this.handleCollapse.bind(this)
      }, void 0, _ref)) : '');
    }
  }, {
    key: 'render',
    value: function render() {
      var data = this.props.data;

      var isEmpty = data.length === 0;

      if (isEmpty) {
        return _ref2;
      } else {
        return this.renderTags();
      }
    }
  }]);

  return Tags;
}(_react2.default.Component), _class.defaultProps = {
  title: '',
  data: [],
  scalability: true
}, _temp);
exports.default = Tags;