'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp; /**
                    * Copyright @2016 www.sumscope.com
                    */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _button = require('../button');

var _button2 = _interopRequireDefault(_button);

var _sscAnalytics = require('ssc-analytics');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UpDown = (_temp = _class = function (_React$Component) {
  _inherits(UpDown, _React$Component);

  function UpDown(props) {
    _classCallCheck(this, UpDown);

    var _this = _possibleConstructorReturn(this, (UpDown.__proto__ || Object.getPrototypeOf(UpDown)).call(this, props));

    _this.handleClick = function () {
      var isUp = !_this.state.isUp;
      _this.setState({ isUp: isUp });
      if (_this.props.getUpDown) {
        _this.props.getUpDown(isUp);
      }
      (0, _sscAnalytics.tracker)('click', _this.context.businessKey + '.' + (isUp ? '收起' : '展开'), _this.context.componentName);
    };

    _this.state = {
      isUp: props.isUp
    };
    _this.handleClick = _this.handleClick.bind(_this);
    return _this;
  }

  _createClass(UpDown, [{
    key: 'render',
    value: function render() {
      var isUp = this.state.isUp;
      var className = (0, _classnames2.default)('icon-font', {
        'icon-up': isUp,
        'icon-down': !isUp
      });

      return _jsx('div', {
        className: 'up-down'
      }, void 0, _jsx(_button2.default, {
        className: 'up-down-btn',
        onClick: this.handleClick.bind(this)
      }, void 0, _jsx('i', {
        className: className
      })));
    }
  }]);

  return UpDown;
}(_react2.default.Component), _class.defaultProps = {
  isUp: true
}, _class.contextTypes = {
  businessKey: _propTypes2.default.string,
  componentName: _propTypes2.default.string
}, _temp);
exports.default = UpDown;