'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _jsx = function () { var REACT_ELEMENT_TYPE = typeof Symbol === "function" && Symbol.for && Symbol.for("react.element") || 0xeac7; return function createRawReactElement(type, props, key, children) { var defaultProps = type && type.defaultProps; var childrenLength = arguments.length - 3; if (!props && childrenLength !== 0) { props = {}; } if (props && defaultProps) { for (var propName in defaultProps) { if (props[propName] === void 0) { props[propName] = defaultProps[propName]; } } } else if (!props) { props = defaultProps || {}; } if (childrenLength === 1) { props.children = children; } else if (childrenLength > 1) { var childArray = Array(childrenLength); for (var i = 0; i < childrenLength; i++) { childArray[i] = arguments[i + 3]; } props.children = childArray; } return { $$typeof: REACT_ELEMENT_TYPE, type: type, key: key === undefined ? null : '' + key, ref: null, props: props, _owner: null }; }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp; /**
                    * Copyright @2016 www.sumscope.com
                    */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _ref = _jsx('i', {
  className: 'icon-font icon-warn'
}, 'warn-sign');

var _ref2 = _jsx('i', {
  className: 'icon-font icon-close'
});

var Warning = (_temp = _class = function (_React$Component) {
  _inherits(Warning, _React$Component);

  function Warning(props) {
    _classCallCheck(this, Warning);

    var _this = _possibleConstructorReturn(this, (Warning.__proto__ || Object.getPrototypeOf(Warning)).call(this, props));

    _this.state = {
      warn: props.warn
    };
    return _this;
  }

  _createClass(Warning, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      var warn = nextProps.warn;
      if (warn !== this.state.warn) {
        this.setState({ warn: warn });
      }
    }
  }, {
    key: 'close',
    value: function close() {
      this.setState({ warn: '' });
    }
  }, {
    key: 'renderWarn',
    value: function renderWarn() {
      var warn = this.state.warn;

      var domArray = [];
      domArray.push(_ref);
      domArray.push(_jsx('span', {
        className: 'warn-content'
      }, 'warn-content', warn));
      domArray.push(_jsx('span', {
        className: 'warn-close',
        onClick: this.close.bind(this)
      }, 'warn-close', _ref2));
      return domArray;
    }
  }, {
    key: 'render',
    value: function render() {
      var warn = this.state.warn;

      var isHidden = warn === '';
      var className = isHidden ? 'warning hidden' : 'warning ' + this.props.className;
      return _jsx('div', {
        className: className
      }, void 0, isHidden ? '' : this.renderWarn());
    }
  }]);

  return Warning;
}(_react2.default.Component), _class.defaultProps = {
  warn: ''
}, _temp);
exports.default = Warning;