"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.canUseLocalStorage = canUseLocalStorage;
exports.getItem = getItem;
exports.setItem = setItem;
exports.removeItem = removeItem;
function canUseLocalStorage() {
  return navigator.cookieEnabled && window.localStorage;
}

function getItem(key) {
  return window.localStorage.getItem(key);
}

function setItem(key, value) {
  window.localStorage.setItem(key, value);
}

function removeItem(key) {
  window.localStorage.removeItem(key);
}